Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssMemberCell

All Superinterfaces:
  IEssBaseObject, IEssCell

public interface IEssMemberCell
extends IEssCell

The IEssMemberCell is a member cell in a cube view.

Nested Class Summary

Nested classes inherited from class com.essbase.api.dataquery.IEssCell
`IEssCell.EEssCellType`

Method Summary
`int` | `getDimensionNumber()` Gets the dimension number.
`java.lang.String` | `getMemberName()` Gets the member name that corresponds to the cell.
`boolean` | `isDimensionTop()`
`boolean` | `isDynCalc()`
`boolean` | `isExpShare()`
`boolean` | `isImpShare()`
`boolean` | `isLabelOnly()`
`boolean` | `isNeverShare()`
`boolean` | `isStoreData()`
`boolean` | `isZoominable()`

Methods inherited from interface com.essbase.api.dataquery.IEssCell
`getCellType, getValue, setValue`

Method Detail

### getMemberName

    public java.lang.String getMemberName()
                                   throws EssException

  Gets the member name that corresponds to the cell.

  Returns:
    The member name.
  Throws:
    `EssException` - if an error occurs.

### isDimensionTop

    public boolean isDimensionTop()
                           throws EssException

  Throws:
    `EssException` - if an error occurs.

### isZoominable

    public boolean isZoominable()
                         throws EssException

  Throws:
    `EssException` - if an error occurs.

### isNeverShare

    public boolean isNeverShare()
                         throws EssException

  Throws:
    `EssException` - if an error occurs.

### isLabelOnly

    public boolean isLabelOnly()
                        throws EssException

  Throws:
    `EssException` - if an error occurs.

### isStoreData

    public boolean isStoreData()
                        throws EssException

  Throws:
    `EssException` - if an error occurs.

### isExpShare

    public boolean isExpShare()
                       throws EssException

  Throws:
    `EssException` - if an error occurs.

### isImpShare

    public boolean isImpShare()
                       throws EssException

  Throws:
    `EssException` - if an error occurs.

### isDynCalc

    public boolean isDynCalc()
                      throws EssException

  Throws:
    `EssException` - if an error occurs.

### getDimensionNumber

    public int getDimensionNumber()
                           throws EssException

  Gets the dimension number. The number for the first dimension is 1, second is 2, and so on.

  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD